# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=7

inherit cmake

DESCRIPTION="A simple DSP library and command-line tool for Software Defined Radio."
HOMEPAGE="https://github.com/jketterl/csdr"

if [[ ${PV} == "9999" ]] ; then
	EGIT_REPO_URI="https://github.com/jketterl/csdr.git"
	inherit git-r3

else
	SRC_URI="https://github.com/jketterl/csdr/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
	KEYWORDS="~amd64 ~x86 ~arm64"
fi

LICENSE="GPL-3"
SLOT="0"

DEPEND="
fftw? ( sci-libs/fftw:3.0 )
media-libs/libsamplerate
"
RDEPEND="${DEPEND}"

IUSE="+fftw"

#src_install() {
#	dolib.so libcsdr.so.*
#	dobin csdr
#	dobin csdr-fm
#	dobin nmux
#}

src_configure() {
	cmake_src_configure
}

